# -*- encoding: utf-8 -*-
# stub: oauth 1.1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "oauth".freeze
  s.version = "1.1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://gitlab.com/oauth-xx/oauth/-/issues", "changelog_uri" => "https://gitlab.com/oauth-xx/oauth/-/blob/v1.1.1/CHANGELOG.md", "documentation_uri" => "https://www.rubydoc.info/gems/oauth/1.1.1", "funding_uri" => "https://liberapay.com/pboling", "homepage_uri" => "https://gitlab.com/oauth-xx/oauth", "mailing_list_uri" => "https://groups.google.com/g/oauth-ruby", "rubygems_mfa_required" => "true", "source_code_uri" => "https://gitlab.com/oauth-xx/oauth/-/tree/v1.1.1", "wiki_uri" => "https://gitlab.com/oauth-xx/oauth/-/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Pelle Braendgaard".freeze, "Blaine Cook".freeze, "Larry Halff".freeze, "Jesse Clark".freeze, "Jon Crosby".freeze, "Seth Fitzsimmons".freeze, "Matt Sanford".freeze, "Aaron Quint".freeze, "Peter Boling".freeze]
  s.cert_chain = ["certs/pboling.pem".freeze]
  s.date = "2024-07-24"
  s.description = "A Ruby wrapper for the original OAuth 1.0 spec.".freeze
  s.email = ["peter.boling@gmail.com".freeze, "oauth-ruby@googlegroups.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "LICENSE.txt".freeze, "README.md".freeze, "SECURITY.md".freeze, "lib/oauth".freeze, "lib/oauth.rb".freeze, "lib/oauth/client".freeze, "lib/oauth/client.rb".freeze, "lib/oauth/client/action_controller_request.rb".freeze, "lib/oauth/client/em_http.rb".freeze, "lib/oauth/client/helper.rb".freeze, "lib/oauth/client/net_http.rb".freeze, "lib/oauth/consumer.rb".freeze, "lib/oauth/errors".freeze, "lib/oauth/errors.rb".freeze, "lib/oauth/errors/error.rb".freeze, "lib/oauth/errors/problem.rb".freeze, "lib/oauth/errors/unauthorized.rb".freeze, "lib/oauth/helper.rb".freeze, "lib/oauth/oauth.rb".freeze, "lib/oauth/oauth_test_helper.rb".freeze, "lib/oauth/request_proxy".freeze, "lib/oauth/request_proxy.rb".freeze, "lib/oauth/request_proxy/action_controller_request.rb".freeze, "lib/oauth/request_proxy/action_dispatch_request.rb".freeze, "lib/oauth/request_proxy/base.rb".freeze, "lib/oauth/request_proxy/curb_request.rb".freeze, "lib/oauth/request_proxy/em_http_request.rb".freeze, "lib/oauth/request_proxy/jabber_request.rb".freeze, "lib/oauth/request_proxy/mock_request.rb".freeze, "lib/oauth/request_proxy/net_http.rb".freeze, "lib/oauth/request_proxy/rack_request.rb".freeze, "lib/oauth/request_proxy/rest_client_request.rb".freeze, "lib/oauth/request_proxy/typhoeus_request.rb".freeze, "lib/oauth/server.rb".freeze, "lib/oauth/signature".freeze, "lib/oauth/signature.rb".freeze, "lib/oauth/signature/base.rb".freeze, "lib/oauth/signature/hmac".freeze, "lib/oauth/signature/hmac/sha1.rb".freeze, "lib/oauth/signature/hmac/sha256.rb".freeze, "lib/oauth/signature/plaintext.rb".freeze, "lib/oauth/signature/rsa".freeze, "lib/oauth/signature/rsa/sha1.rb".freeze, "lib/oauth/token.rb".freeze, "lib/oauth/tokens".freeze, "lib/oauth/tokens/access_token.rb".freeze, "lib/oauth/tokens/consumer_token.rb".freeze, "lib/oauth/tokens/request_token.rb".freeze, "lib/oauth/tokens/server_token.rb".freeze, "lib/oauth/tokens/token.rb".freeze, "lib/oauth/version.rb".freeze]
  s.homepage = "https://gitlab.com/oauth-xx/oauth".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\nYou have installed oauth version 1.1.1, congratulations!\n\nPlease see:\n\u2022 https://gitlab.com/oauth-xx/oauth/-/blob/main/SECURITY.md\n\u2022 https://gitlab.com/oauth-xx/oauth/-/blob/v1.1.1/CHANGELOG.md#111-2022-09-19\n\nMajor updates:\n1. master branch renamed to main\n\u2022 Update your local: git checkout master; git branch -m master main; git branch --unset-upstream; git branch -u origin/main\n2. Github has been replaced with Gitlab; I wrote about some of the reasons here:\n\u2022 https://dev.to/galtzo/im-leaving-github-50ba\n\u2022 Update your local: git remote set-url origin git@gitlab.com:oauth-xx/oauth.git\n3. Google Group is active (again)!\n\u2022 https://groups.google.com/g/oauth-ruby/c/QA_dtrXWXaE\n4. Gitter Chat is active (still)!\n\u2022 https://gitter.im/oauth-xx/\n5. Non-commercial support for the 1.x series will end by April, 2025. Please make a plan to upgrade to the next version prior to that date.\nSupport will be dropped for Ruby 2.7 and any other Ruby versions which will also have reached EOL by then.\n6. Gem releases are now cryptographically signed for security.\n\nIf you are a human, please consider a donation as I move toward supporting myself with Open Source work:\n\u2022 https://liberapay.com/pboling\n\u2022 https://ko-fi.com/pboling\n\u2022 https://patreon.com/galtzo\n\nIf you are a corporation, please consider supporting this project, and open source work generally, with a TideLift subscription.\n\u2022 https://tidelift.com/funding/github/rubygems/oauth\n\u2022 Or hire me. I am looking for a job!\n\nPlease report issues, and support the project!\n\nThanks, |7eter l-|. l3oling\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "OAuth 1.0 Core Ruby implementation".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<oauth-tty>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_runtime_dependency(%q<snaky_hash>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<version_gem>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<em-http-request>.freeze, ["~> 1.1.7"])
    s.add_development_dependency(%q<iconv>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, ["< 6"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_development_dependency(%q<rack>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<rack-test>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rest-client>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-lts>.freeze, ["< 23"])
    s.add_development_dependency(%q<typhoeus>.freeze, [">= 0.1.13"])
    s.add_development_dependency(%q<webmock>.freeze, ["<= 3.19.0"])
  else
    s.add_dependency(%q<oauth-tty>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_dependency(%q<snaky_hash>.freeze, ["~> 2.0"])
    s.add_dependency(%q<version_gem>.freeze, ["~> 1.1"])
    s.add_dependency(%q<em-http-request>.freeze, ["~> 1.1.7"])
    s.add_dependency(%q<iconv>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["< 6"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<rack>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rack-test>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rest-client>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-lts>.freeze, ["< 23"])
    s.add_dependency(%q<typhoeus>.freeze, [">= 0.1.13"])
    s.add_dependency(%q<webmock>.freeze, ["<= 3.19.0"])
  end
end
